## EvHistory

EvHistory

## Functions

EvHistory * | ev_history_new ()
void | ev_history_add_link ()
EvLink * | ev_history_get_link_nth ()
int | ev_history_get_n_links ()

## Signals

void | changed | Action

## Types and Values

struct | EvHistory
| EvHistoryPrivate
struct | EvHistoryClass

## Object Hierarchy

        GObject
        ╰── EvHistory

## Description

## Functions

### ev_history_new ()

    EvHistory *
    ev_history_new (void);

### ev_history_add_link ()

    void
    ev_history_add_link (EvHistory *history,
                         EvLink *linkk);

### ev_history_get_link_nth ()

    EvLink *
    ev_history_get_link_nth (EvHistory *history,
                             int index);

### ev_history_get_n_links ()

    int
    ev_history_get_n_links (EvHistory *history);

## Types and Values

### struct EvHistory

    struct EvHistory;

### EvHistoryPrivate

    typedef struct _EvHistoryPrivate EvHistoryPrivate;

### struct EvHistoryClass

    struct EvHistoryClass {
    	GObjectClass parent_class;

    	void (*changed) (EvHistory *history);
    };

## Signal Details

### The `“changed”` signal

    void
    user_function (EvHistory *evhistory,
                   gpointer   user_data)

Flags: Action